<!-- 
  Copyright (c) 2023 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
  Olivier Goulet <olivier.goulet@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
-->

{{ $tutorials := $.Site.Data.tutorials.items }}

<section class="tutorials-section container padding-top-60 padding-bottom-60 text-center" id="tutorials">
  <h2>Tutorials</h2>
  <div class="tutorials-section-video-container row margin-top-20 margin-bottom-20">
    <div class="col-sm-12 col-sm-offset-6">
      <a class="eclipsefdn-video" href="//www.youtube.com/embed/playlist?list=PLy7t4z5SYNaQbf2M5Jh6MIwTsmeURbOSr"></a>
    </div>
  </div>
  <p>How to get started with openPASS.</p>
  <div class="tutorials-section-video-list text-left margin-top-60">
    {{ range $tutorials }}
      <div class="video-snippet">
        <div class="video-snippet-icon">
          <span class="fa-stack fa-2x fa-xl">
            <i class="video-snippet-icon-backdrop fa fa-circle fa-stack-2x fa-xl fa-inverse"></i> 
            <i class="fa fa-film fa-stack-1x"></i>
          </span>
        </div>
        <div class="video-snippet-content">
          <p class="video-snippet-title">
            <a href="{{ .link }}">{{ .title }}</a>
          </p>
          <p class="video-snippet-description">{{ .description }}</p>
        </div>
      </div>
    {{ end }}
  </div>
</section>
